Bug 151856 - AuxiliaryConfigBasedPreferences should override Preferences API limit on value length
AuxiliaryConfigBasedPreferences should override Preferences API limit on valu...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
6.x
All All
: P2 with 1 vote (vote)
: 6.x
Assigned To: Milos Kleint
issues@projects
65fixes3-verified
:
: 157575 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 13:35 UTC by mihai
Modified: 2009-03-16 16:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The log file (50.52 KB, text/plain)
2008-10-30 13:58 UTC, mihai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mihai 2008-10-30 13:35:13 UTC
Hi i am using NB 6.5 RC1 (i will test against netbeans-trunk-nightly-200810300201-java-linux.sh right away).
Is reproducing under Ubuntu.
When i try to import projects from an Eclipse workspace, some of them fail to import because of a value too long in the
src fild (sources of the source project):


SEVERE [org.netbeans.modules.projectimport.eclipse.core.Importer]: import of Eclipse project
/home/mihai/projects/pilipili/trunk failed
java.lang.IllegalArgumentException: Value too long:
src=src/main/java;src=src/main/resources;var=M2_REPO/com/intellij/annotations/6.0.5/annotations-6.0.5.jar;var=M2_REPO/commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.jar;var=M2_REPO/javax/ejb/ejb/3.0-RC8/ejb-3.0-RC8.jar;var=M2_REPO/javax/faces/jsf-api/1.2_04/jsf-api-1.2_04.jar;var=M2_REPO/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar;var=M2_REPO/jboss/ejb3/3.0-RC8/ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-annotations-ejb3/3.0-RC8/jboss-annotations-ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-j2ee/4.0.4.GA/jboss-j2ee-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-seam/1.1.5.NX3/jboss-seam-1.1.5.NX3.jar;var=M2_REPO/org/nuxeo/common/nuxeo-common/1.4.2/nuxeo-common-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-api/5.1.5/nuxeo-platform-audit-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-events-api/5.1.5/nuxeo-platform-events-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-api/1.4.2/nuxeo-core-api-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-schema/1.4.2/nuxeo-core-schema-1.4.2.jar;var=M2_REPO/com/sun/xml/xsom/20060306/xsom-20060306.jar;var=M2_REPO/com/sun/xml/relaxngDatatype/1.0/relaxngDatatype-1.0.jar;var=M2_REPO/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime/1.4.2/nuxeo-runtime-1.4.2.jar;var=M2_REPO/org/osgi/osgi-core/4.1/osgi-core-4.1.jar;var=M2_REPO/jboss/jboss-remoting/4.0.4.GA/jboss-remoting-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-common/4.0.4.GA/jboss-common-4.0.4.GA.jar;var=M2_REPO/commons-jexl/commons-jexl/1.1/commons-jexl-1.1.jar;var=M2_REPO/commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.jar;var=M2_REPO/concurrent/concurrent/1.3.4/concurrent-1.3.4.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-uidgen-core/5.1.5/nuxeo-platform-uidgen-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core/1.4.2/nuxeo-core-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-query/1.4.2/nuxeo-core-query-1.4.2.jar;var=M2_REPO/cup/java-cup/0.11a/java-cup-0.11a.jar;var=M2_REPO/joda-time/joda-time/1.4/joda-time-1.4.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-test/1.4.2/nuxeo-runtime-test-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-osgi/1.4.2/nuxeo-runtime-osgi-1.4.2.jar;var=M2_REPO/jmock/jmock/1.0.1/jmock-1.0.1.jar;var=M2_REPO/log4j/log4j/1.2.13/log4j-1.2.13.jar;var=M2_REPO/publimap/org.publimap/1.0.0-SNAPSHOT/org.publimap-1.0.0-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-api/5.1.6-SNAPSHOT/nuxeo-platform-imaging-api-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-webapp-core/5.1.5/nuxeo-platform-webapp-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-client/5.1.5/nuxeo-platform-cache-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-jboss/5.1.5/nuxeo-platform-cache-jboss-5.1.5.jar;var=M2_REPO/jboss/jboss-cache-jdk50/1.4.0.SP1/jboss-cache-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-jmx/4.0.4.GA/jboss-jmx-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-system/4.0.4.GA/jboss-system-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-aop-jdk50/1.4.0.SP1/jboss-aop-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-serialization/1.0.0-RC1/jboss-serialization-1.0.0-RC1.jar;var=M2_REPO/jboss/jgroups/2.2.9/jgroups-2.2.9.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-web/5.1.5/nuxeo-platform-cache-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-api/5.1.5/nuxeo-platform-filemanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-search-api/5.1.5/nuxeo-platform-search-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-mimetype-api/5.1.5/nuxeo-platform-mimetype-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-api/5.1.5/nuxeo-platform-types-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-forms-layout-api/5.1.5/nuxeo-platform-forms-layout-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-transform-api/5.1.5/nuxeo-platform-transform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-api/5.1.5/nuxeo-platform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-api/5.1.5/nuxeo-platform-versioning-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-url-api/5.1.5/nuxeo-platform-url-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-web/5.1.5/nuxeo-platform-ui-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-io/1.4.2/nuxeo-core-io-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-api/5.1.5/nuxeo-platform-ui-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-directory-api/5.1.5/nuxeo-platform-directory-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-publishing-api/5.1.5/nuxeo-platform-publishing-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-actions-core/5.1.5/nuxeo-platform-actions-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform/5.1.5/nuxeo-platform-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ws/5.1.5/nuxeo-platform-ws-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-usermanager-api/5.1.5/nuxeo-platform-usermanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-core/5.1.5/nuxeo-platform-types-core-5.1.5.jar;var=M2_REPO/javax/jws/jsr181/1.0/jsr181-1.0.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-api/1.0.1-incubating-NXEP51M2/trinidad-api-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-impl/1.0.1-incubating-NXEP51M2/trinidad-impl-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/tomahawk/tomahawk/1.1.5/tomahawk-1.1.5.jar;var=M2_REPO/commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar;var=M2_REPO/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar;var=M2_REPO/commons-digester/commons-digester/1.6/commons-digester-1.6.jar;var=M2_REPO/commons-collections/commons-collections/3.1/commons-collections-3.1.jar;var=M2_REPO/commons-fileupload/commons-fileupload/1.1.1/commons-fileupload-1.1.1.jar;var=M2_REPO/commons-io/commons-io/1.2/commons-io-1.2.jar;var=M2_REPO/commons-el/commons-el/1.0/commons-el-1.0.jar;var=M2_REPO/commons-codec/commons-codec/1.3/commons-codec-1.3.jar;var=M2_REPO/oro/oro/2.0.8/oro-2.0.8.jar;var=M2_REPO/commons-lang/commons-lang/2.2/commons-lang-2.2.jar;var=M2_REPO/javax/servlet/jstl/1.1.2/jstl-1.1.2.jar;var=M2_REPO/org/restlet/org.restlet/1.0.7/org.restlet-1.0.7.jar;var=M2_REPO/org/restlet/org.restlet.ext.fileupload/1.0.7/org.restlet.ext.fileupload-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet/1.0.7/com.noelios.restlet-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet.ext.servlet/1.0.7/com.noelios.restlet.ext.servlet-1.0.7.jar;var=M2_REPO/javax/transaction/jta/1.0.1B/jta-1.0.1B.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-api/5.1.5/nuxeo-platform-workflow-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-document-api/5.1.5/nuxeo-platform-workflow-document-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-theme/5.1.5/nuxeo-platform-placeful-theme-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-api/5.1.5/nuxeo-platform-placeful-api-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-core/5.1.5/nuxeo-theme-core-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-fragments/5.1.5/nuxeo-theme-fragments-5.1.5.jar;var=M2_REPO/org/hibernate/hibernate-annotations/3.2.0.ga/hibernate-annotations-3.2.0.ga.jar;var=M2_REPO/org/hibernate/hibernate/3.2.0.ga/hibernate-3.2.0.ga.jar;var=M2_REPO/net/sf/ehcache/ehcache/1.2/ehcache-1.2.jar;var=M2_REPO/asm/asm-attrs/1.5.3/asm-attrs-1.5.3.jar;var=M2_REPO/antlr/antlr/2.7.7/antlr-2.7.7.jar;var=M2_REPO/cglib/cglib/2.1_3/cglib-2.1_3.jar;var=M2_REPO/asm/asm/1.5.3/asm-1.5.3.jar;var=M2_REPO/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar;var=M2_REPO/net/sf/opencsv/opencsv/1.7/opencsv-1.7.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-core/5.1.6-SNAPSHOT/nuxeo-platform-imaging-core-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-facade/1.4.2/nuxeo-core-facade-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-jcr-connector/1.4.2/nuxeo-core-jcr-connector-1.4.2.jar;var=M2_REPO/jsr170/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-api/1.3.3/jackrabbit-api-1.3.3.jar;var=M2_REPO/javax/jcr/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-core/1.3.3/jackrabbit-core-1.3.3.jar;var=M2_REPO/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0.1/geronimo-jta_1.0.1B_spec-1.0.1.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-jcr-commons/1.3.3/jackrabbit-jcr-commons-1.3.3.jar;var=M2_REPO/org/slf4j/slf4j-api/1.3.0/slf4j-api-1.3.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-text-extractors/1.3.3/jackrabbit-text-extractors-1.3.3.jar;var=M2_REPO/pdfbox/pdfbox/0.6.4/pdfbox-0.6.4.jar;var=M2_REPO/org/textmining/tm-extractors/0.4/tm-extractors-0.4.jar;var=M2_REPO/nekohtml/nekohtml/0.9.4/nekohtml-0.9.4.jar;var=M2_REPO/xerces/xercesImpl/2.5.0/xercesImpl-2.5.0.jar;var=M2_REPO/org/apache/lucene/lucene-core/2.0.0/lucene-core-2.0.0.jar;var=M2_REPO/org/apache/derby/derby/10.2.1.6/derby-10.2.1.6.jar;var=M2_REPO/org/slf4j/slf4j-log4j12/1.3.0/slf4j-log4j12-1.3.0.jar;var=M2_REPO/imagej/imagej/1.4.1.e/imagej-1.4.1.e.jar;var=M2_REPO/net/java/dev/mistral/EditableImage/0.9.5/EditableImage-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/JAI-Adapter/0.9.5/JAI-Adapter-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/Operations/0.9.5/Operations-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/metadata-extractor/2.3.1/metadata-extractor-2.3.1.jar;var=M2_REPO/javax/media/jai_core/1.1.2_01/jai_core-1.1.2_01.jar;var=M2_REPO/com/sun/media/jai_codec/1.1.2_01/jai_codec-1.1.2_01.jar;var=M2_REPO/com/sun/media/mlib_jai/1.1.2_01/mlib_jai-1.1.2_01.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-web/5.1.6-SNAPSHOT/nuxeo-platform-imaging-web-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-core/5.1.5/nuxeo-platform-filemanager-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-core/5.1.5/nuxeo-platform-versioning-core-5.1.5.jar;var=M2_REPO/org/nuxeo/core/versioning/nuxeo-folder-versioning/1.0-SNAPSHOT/nuxeo-folder-versioning-1.0-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-web/5.1.5/nuxeo-platform-relations-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-core/5.1.5/nuxeo-platform-relations-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-api/5.1.5/nuxeo-platform-relations-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-login-anonymous/5.2.0.m1/nuxeo-platform-login-anonymous-5.2.0.m1.jar;var=M2_REPO/org/nuxeo/build/nuxeo-apt-extensions/1.0/nuxeo-apt-extensions-1.0.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-client/5.1.5/nuxeo-platform-audit-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-api/5.1.5/nuxeo-platform-notification-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-core/5.1.5/nuxeo-platform-notification-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-facade/5.1.5/nuxeo-platform-placeful-facade-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-core/5.1.5/nuxeo-platform-placeful-core-5.1.5.jar;var=M2_REPO/freemarker/freemarker/2.3.8/freemarker-2.3.8.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-web/5.1.5/nuxeo-platform-notification-web-5.1.5.jar;var=M2_REPO/jboss/jboss-scheduler/1/jboss-scheduler-1.jar;var=M2_REPO/itext/itext/2.1.3/itext-2.1.3.jar;var=M2_REPO/opensymphony/quartz-all/1.5.2/quartz-all-1.5.2.jar;var=M2_REPO/javax/xml/bind/jaxb-api/2.0/jaxb-api-2.0.jar;var=M2_REPO/javax/xml/bind/jsr173_api/1.0/jsr173_api-1.0.jar;var=M2_REPO/javax/activation/activation/1.1/activation-1.1.jar;var=M2_REPO/org/apache/xmlgraphics/fop/0.94/fop-0.94.jar;var=M2_REPO/org/apache/xmlgraphics/xmlgraphics-commons/1.2/xmlgraphics-commons-1.2.jar;var=M2_REPO/batik/batik-svg-dom/1.6-1/batik-svg-dom-1.6-1.jar;var=M2_REPO/batik/batik-dom/1.6-1/batik-dom-1.6-1.jar;var=M2_REPO/batik/batik-css/1.6-1/batik-css-1.6-1.jar;var=M2_REPO/batik/batik-util/1.6-1/batik-util-1.6-1.jar;var=M2_REPO/batik/batik-gui-util/1.6-1/batik-gui-util-1.6-1.jar;var=M2_REPO/batik/batik-ext/1.6-1/batik-ext-1.6-1.jar;var=M2_REPO/xml-apis/xmlParserAPIs/2.0.2/xmlParserAPIs-2.0.2.jar;var=M2_REPO/batik/batik-xml/1.6-1/batik-xml-1.6-1.jar;var=M2_REPO/batik/batik-parser/1.6-1/batik-parser-1.6-1.jar;var=M2_REPO/batik/batik-awt-util/1.6-1/batik-awt-util-1.6-1.jar;var=M2_REPO/batik/batik-bridge/1.6-1/batik-bridge-1.6-1.jar;var=M2_REPO/batik/batik-gvt/1.6-1/batik-gvt-1.6-1.jar;var=M2_REPO/batik/batik-script/1.6-1/batik-script-1.6-1.jar;var=M2_REPO/batik/batik-transcoder/1.6-1/batik-transcoder-1.6-1.jar;var=M2_REPO/batik/batik-extension/1.6-1/batik-extension-1.6-1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-api/4.3.1/avalon-framework-api-4.3.1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-impl/4.3.1/avalon-framework-impl-4.3.1.jar;var=M2_REPO/truezip/truezip/6.6/truezip-6.6.jar;var=M2_REPO/commons-net/commons-net/1.4.1/commons-net-1.4.1.jar;var=M2_REPO/org/hibernate/hibernate-validator/3.0.0.ga/hibernate-validator-3.0.0.ga.jar;jre=JDK
1.5;output=target/classes;
	at java.util.prefs.AbstractPreferences.put(AbstractPreferences.java:228)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.access$1501(AuxiliaryConfigBasedPreferencesProvider.java:424)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:629)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:628)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.put(AuxiliaryConfigBasedPreferencesProvider.java:627)
	at org.netbeans.modules.projectimport.eclipse.core.EclipseProjectReference.write(EclipseProjectReference.java:163)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProjectStage1(Importer.java:241)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$600(Importer.java:69)
[catch] at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:178)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:176)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProject(Importer.java:175)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$200(Importer.java:69)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$1.run(Importer.java:108)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)




or




SEVERE [org.netbeans.modules.projectimport.eclipse.core.Importer]: import of Eclipse project
/home/mihai/projects/publimap-ear/trunk/com.publimap failed
java.lang.IllegalArgumentException: Value too long:
src=src/main/java;src=src/main/resources;var=M2_REPO/com/intellij/annotations/6.0.5/annotations-6.0.5.jar;var=M2_REPO/commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.jar;var=M2_REPO/javax/ejb/ejb/3.0-RC8/ejb-3.0-RC8.jar;var=M2_REPO/javax/faces/jsf-api/1.2_04/jsf-api-1.2_04.jar;var=M2_REPO/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar;var=M2_REPO/jboss/ejb3/3.0-RC8/ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-annotations-ejb3/3.0-RC8/jboss-annotations-ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-j2ee/4.0.4.GA/jboss-j2ee-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-seam/1.1.5.NX3/jboss-seam-1.1.5.NX3.jar;var=M2_REPO/org/nuxeo/common/nuxeo-common/1.4.2/nuxeo-common-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime/1.4.2/nuxeo-runtime-1.4.2.jar;var=M2_REPO/org/osgi/osgi-core/4.1/osgi-core-4.1.jar;var=M2_REPO/jboss/jboss-remoting/4.0.4.GA/jboss-remoting-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-common/4.0.4.GA/jboss-common-4.0.4.GA.jar;var=M2_REPO/commons-jexl/commons-jexl/1.1/commons-jexl-1.1.jar;var=M2_REPO/commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.jar;var=M2_REPO/concurrent/concurrent/1.3.4/concurrent-1.3.4.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-test/1.4.2/nuxeo-runtime-test-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-osgi/1.4.2/nuxeo-runtime-osgi-1.4.2.jar;var=M2_REPO/jmock/jmock/1.0.1/jmock-1.0.1.jar;var=M2_REPO/log4j/log4j/1.2.13/log4j-1.2.13.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-api/5.1.6-SNAPSHOT/nuxeo-platform-imaging-api-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-api/1.4.2/nuxeo-core-api-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-schema/1.4.2/nuxeo-core-schema-1.4.2.jar;var=M2_REPO/com/sun/xml/xsom/20060306/xsom-20060306.jar;var=M2_REPO/com/sun/xml/relaxngDatatype/1.0/relaxngDatatype-1.0.jar;var=M2_REPO/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-webapp-core/5.1.5/nuxeo-platform-webapp-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-client/5.1.5/nuxeo-platform-cache-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-jboss/5.1.5/nuxeo-platform-cache-jboss-5.1.5.jar;var=M2_REPO/jboss/jboss-cache-jdk50/1.4.0.SP1/jboss-cache-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-jmx/4.0.4.GA/jboss-jmx-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-system/4.0.4.GA/jboss-system-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-aop-jdk50/1.4.0.SP1/jboss-aop-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-serialization/1.0.0-RC1/jboss-serialization-1.0.0-RC1.jar;var=M2_REPO/jboss/jgroups/2.2.9/jgroups-2.2.9.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-web/5.1.5/nuxeo-platform-cache-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-api/5.1.5/nuxeo-platform-filemanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-search-api/5.1.5/nuxeo-platform-search-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-query/1.4.2/nuxeo-core-query-1.4.2.jar;var=M2_REPO/cup/java-cup/0.11a/java-cup-0.11a.jar;var=M2_REPO/joda-time/joda-time/1.4/joda-time-1.4.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-mimetype-api/5.1.5/nuxeo-platform-mimetype-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-api/5.1.5/nuxeo-platform-types-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-forms-layout-api/5.1.5/nuxeo-platform-forms-layout-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-transform-api/5.1.5/nuxeo-platform-transform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-api/5.1.5/nuxeo-platform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-api/5.1.5/nuxeo-platform-versioning-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-url-api/5.1.5/nuxeo-platform-url-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-web/5.1.5/nuxeo-platform-ui-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-io/1.4.2/nuxeo-core-io-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core/1.4.2/nuxeo-core-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-api/5.1.5/nuxeo-platform-ui-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-events-api/5.1.5/nuxeo-platform-events-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-directory-api/5.1.5/nuxeo-platform-directory-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-publishing-api/5.1.5/nuxeo-platform-publishing-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-actions-core/5.1.5/nuxeo-platform-actions-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform/5.1.5/nuxeo-platform-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ws/5.1.5/nuxeo-platform-ws-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-usermanager-api/5.1.5/nuxeo-platform-usermanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-core/5.1.5/nuxeo-platform-types-core-5.1.5.jar;var=M2_REPO/javax/jws/jsr181/1.0/jsr181-1.0.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-api/1.0.1-incubating-NXEP51M2/trinidad-api-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-impl/1.0.1-incubating-NXEP51M2/trinidad-impl-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/tomahawk/tomahawk/1.1.5/tomahawk-1.1.5.jar;var=M2_REPO/commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar;var=M2_REPO/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar;var=M2_REPO/commons-digester/commons-digester/1.6/commons-digester-1.6.jar;var=M2_REPO/commons-collections/commons-collections/3.1/commons-collections-3.1.jar;var=M2_REPO/commons-fileupload/commons-fileupload/1.1.1/commons-fileupload-1.1.1.jar;var=M2_REPO/commons-io/commons-io/1.2/commons-io-1.2.jar;var=M2_REPO/commons-el/commons-el/1.0/commons-el-1.0.jar;var=M2_REPO/commons-codec/commons-codec/1.3/commons-codec-1.3.jar;var=M2_REPO/oro/oro/2.0.8/oro-2.0.8.jar;var=M2_REPO/commons-lang/commons-lang/2.2/commons-lang-2.2.jar;var=M2_REPO/javax/servlet/jstl/1.1.2/jstl-1.1.2.jar;var=M2_REPO/org/restlet/org.restlet/1.0.7/org.restlet-1.0.7.jar;var=M2_REPO/org/restlet/org.restlet.ext.fileupload/1.0.7/org.restlet.ext.fileupload-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet/1.0.7/com.noelios.restlet-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet.ext.servlet/1.0.7/com.noelios.restlet.ext.servlet-1.0.7.jar;var=M2_REPO/javax/transaction/jta/1.0.1B/jta-1.0.1B.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-api/5.1.5/nuxeo-platform-workflow-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-document-api/5.1.5/nuxeo-platform-workflow-document-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-theme/5.1.5/nuxeo-platform-placeful-theme-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-api/5.1.5/nuxeo-platform-placeful-api-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-core/5.1.5/nuxeo-theme-core-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-fragments/5.1.5/nuxeo-theme-fragments-5.1.5.jar;var=M2_REPO/org/hibernate/hibernate-annotations/3.2.0.ga/hibernate-annotations-3.2.0.ga.jar;var=M2_REPO/org/hibernate/hibernate/3.2.0.ga/hibernate-3.2.0.ga.jar;var=M2_REPO/net/sf/ehcache/ehcache/1.2/ehcache-1.2.jar;var=M2_REPO/asm/asm-attrs/1.5.3/asm-attrs-1.5.3.jar;var=M2_REPO/antlr/antlr/2.7.7/antlr-2.7.7.jar;var=M2_REPO/cglib/cglib/2.1_3/cglib-2.1_3.jar;var=M2_REPO/asm/asm/1.5.3/asm-1.5.3.jar;var=M2_REPO/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar;var=M2_REPO/net/sf/opencsv/opencsv/1.7/opencsv-1.7.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-core/5.1.6-SNAPSHOT/nuxeo-platform-imaging-core-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-facade/1.4.2/nuxeo-core-facade-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-jcr-connector/1.4.2/nuxeo-core-jcr-connector-1.4.2.jar;var=M2_REPO/jsr170/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-api/1.3.3/jackrabbit-api-1.3.3.jar;var=M2_REPO/javax/jcr/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-core/1.3.3/jackrabbit-core-1.3.3.jar;var=M2_REPO/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0.1/geronimo-jta_1.0.1B_spec-1.0.1.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-jcr-commons/1.3.3/jackrabbit-jcr-commons-1.3.3.jar;var=M2_REPO/org/slf4j/slf4j-api/1.3.0/slf4j-api-1.3.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-text-extractors/1.3.3/jackrabbit-text-extractors-1.3.3.jar;var=M2_REPO/pdfbox/pdfbox/0.6.4/pdfbox-0.6.4.jar;var=M2_REPO/org/textmining/tm-extractors/0.4/tm-extractors-0.4.jar;var=M2_REPO/nekohtml/nekohtml/0.9.4/nekohtml-0.9.4.jar;var=M2_REPO/xerces/xercesImpl/2.5.0/xercesImpl-2.5.0.jar;var=M2_REPO/org/apache/lucene/lucene-core/2.0.0/lucene-core-2.0.0.jar;var=M2_REPO/org/apache/derby/derby/10.2.1.6/derby-10.2.1.6.jar;var=M2_REPO/org/slf4j/slf4j-log4j12/1.3.0/slf4j-log4j12-1.3.0.jar;var=M2_REPO/imagej/imagej/1.4.1.e/imagej-1.4.1.e.jar;var=M2_REPO/net/java/dev/mistral/EditableImage/0.9.5/EditableImage-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/JAI-Adapter/0.9.5/JAI-Adapter-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/Operations/0.9.5/Operations-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/metadata-extractor/2.3.1/metadata-extractor-2.3.1.jar;var=M2_REPO/javax/media/jai_core/1.1.2_01/jai_core-1.1.2_01.jar;var=M2_REPO/com/sun/media/jai_codec/1.1.2_01/jai_codec-1.1.2_01.jar;var=M2_REPO/com/sun/media/mlib_jai/1.1.2_01/mlib_jai-1.1.2_01.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-web/5.1.6-SNAPSHOT/nuxeo-platform-imaging-web-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-core/5.1.5/nuxeo-platform-filemanager-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-core/5.1.5/nuxeo-platform-versioning-core-5.1.5.jar;var=M2_REPO/org/nuxeo/core/versioning/nuxeo-folder-versioning/1.0-SNAPSHOT/nuxeo-folder-versioning-1.0-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-web/5.1.5/nuxeo-platform-relations-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-core/5.1.5/nuxeo-platform-relations-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-api/5.1.5/nuxeo-platform-relations-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-login-anonymous/5.2.0.m1/nuxeo-platform-login-anonymous-5.2.0.m1.jar;var=M2_REPO/org/nuxeo/build/nuxeo-apt-extensions/1.0/nuxeo-apt-extensions-1.0.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-client/5.1.5/nuxeo-platform-audit-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-api/5.1.5/nuxeo-platform-audit-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-api/5.1.5/nuxeo-platform-notification-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-core/5.1.5/nuxeo-platform-notification-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-facade/5.1.5/nuxeo-platform-placeful-facade-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-core/5.1.5/nuxeo-platform-placeful-core-5.1.5.jar;var=M2_REPO/freemarker/freemarker/2.3.8/freemarker-2.3.8.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-web/5.1.5/nuxeo-platform-notification-web-5.1.5.jar;var=M2_REPO/jboss/jboss-scheduler/1/jboss-scheduler-1.jar;var=M2_REPO/itext/itext/2.1.3/itext-2.1.3.jar;var=M2_REPO/opensymphony/quartz-all/1.5.2/quartz-all-1.5.2.jar;var=M2_REPO/javax/xml/bind/jaxb-api/2.0/jaxb-api-2.0.jar;var=M2_REPO/javax/xml/bind/jsr173_api/1.0/jsr173_api-1.0.jar;var=M2_REPO/javax/activation/activation/1.1/activation-1.1.jar;var=M2_REPO/org/apache/xmlgraphics/fop/0.94/fop-0.94.jar;var=M2_REPO/org/apache/xmlgraphics/xmlgraphics-commons/1.2/xmlgraphics-commons-1.2.jar;var=M2_REPO/batik/batik-svg-dom/1.6-1/batik-svg-dom-1.6-1.jar;var=M2_REPO/batik/batik-dom/1.6-1/batik-dom-1.6-1.jar;var=M2_REPO/batik/batik-css/1.6-1/batik-css-1.6-1.jar;var=M2_REPO/batik/batik-util/1.6-1/batik-util-1.6-1.jar;var=M2_REPO/batik/batik-gui-util/1.6-1/batik-gui-util-1.6-1.jar;var=M2_REPO/batik/batik-ext/1.6-1/batik-ext-1.6-1.jar;var=M2_REPO/xml-apis/xmlParserAPIs/2.0.2/xmlParserAPIs-2.0.2.jar;var=M2_REPO/batik/batik-xml/1.6-1/batik-xml-1.6-1.jar;var=M2_REPO/batik/batik-parser/1.6-1/batik-parser-1.6-1.jar;var=M2_REPO/batik/batik-awt-util/1.6-1/batik-awt-util-1.6-1.jar;var=M2_REPO/batik/batik-bridge/1.6-1/batik-bridge-1.6-1.jar;var=M2_REPO/batik/batik-gvt/1.6-1/batik-gvt-1.6-1.jar;var=M2_REPO/batik/batik-script/1.6-1/batik-script-1.6-1.jar;var=M2_REPO/batik/batik-transcoder/1.6-1/batik-transcoder-1.6-1.jar;var=M2_REPO/batik/batik-extension/1.6-1/batik-extension-1.6-1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-api/4.3.1/avalon-framework-api-4.3.1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-impl/4.3.1/avalon-framework-impl-4.3.1.jar;var=M2_REPO/truezip/truezip/6.6/truezip-6.6.jar;var=M2_REPO/commons-net/commons-net/1.4.1/commons-net-1.4.1.jar;var=M2_REPO/org/hibernate/hibernate-validator/3.0.0.ga/hibernate-validator-3.0.0.ga.jar;jre=JDK
1.5;output=target/classes;
	at java.util.prefs.AbstractPreferences.put(AbstractPreferences.java:228)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.access$1501(AuxiliaryConfigBasedPreferencesProvider.java:424)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:629)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:628)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.put(AuxiliaryConfigBasedPreferencesProvider.java:627)
	at org.netbeans.modules.projectimport.eclipse.core.EclipseProjectReference.write(EclipseProjectReference.java:163)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProjectStage1(Importer.java:241)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$600(Importer.java:69)
[catch] at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:178)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:176)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProject(Importer.java:175)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$200(Importer.java:69)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$1.run(Importer.java:108)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
Comment 1 Milos Kleint 2008-10-30 13:50:00 UTC
-> eclipse importer.

as a sidenote: you seem to import eclipse projects based on maven. maven projects are natively supported by netbeans
(maven project type support is available on update center)
Comment 2 mihai 2008-10-30 13:57:34 UTC
Yes, still reproduce on netbeans-trunk-nightly-200810300201-java-linux.sh

Project 'org.publimap' import results:

 •  Source exclude '**/*.java' was omitted. It is recommended that you double check project excludes in the Source panel
of the Project Properties dialog.

 •  Source exclude '**/*.java' was omitted. It is recommended that you double check project excludes in the Source panel
of the Project Properties dialog.

 •  Import failed due to 'null'. More details can be found in the IDEs log file.

Project 'com.publimap' import results:

 •  Source exclude '**/*.java' was omitted. It is recommended that you double check project excludes in the Source panel
of the Project Properties dialog.

 •  Required project 'org.publimap' cannot be found.

 •  Import failed due to 'Value too long:
src=src/main/java;src=src/main/resources;var=M2_REPO/com/intellij/annotations/6.0.5/annotations-6.0.5.jar;var=M2_REPO/commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.jar;var=M2_REPO/javax/ejb/ejb/3.0-RC8/ejb-3.0-RC8.jar;var=M2_REPO/javax/faces/jsf-api/1.2_04/jsf-api-1.2_04.jar;var=M2_REPO/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar;var=M2_REPO/jboss/ejb3/3.0-RC8/ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-annotations-ejb3/3.0-RC8/jboss-annotations-ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-j2ee/4.0.4.GA/jboss-j2ee-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-seam/1.1.5.NX3/jboss-seam-1.1.5.NX3.jar;var=M2_REPO/org/nuxeo/common/nuxeo-common/1.4.2/nuxeo-common-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime/1.4.2/nuxeo-runtime-1.4.2.jar;var=M2_REPO/org/osgi/osgi-core/4.1/osgi-core-4.1.jar;var=M2_REPO/jboss/jboss-remoting/4.0.4.GA/jboss-remoting-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-common/4.0.4.GA/jboss-common-4.0.4.GA.jar;var=M2_REPO/commons-jexl/commons-jexl/1.1/commons-jexl-1.1.jar;var=M2_REPO/commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.jar;var=M2_REPO/concurrent/concurrent/1.3.4/concurrent-1.3.4.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-test/1.4.2/nuxeo-runtime-test-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-osgi/1.4.2/nuxeo-runtime-osgi-1.4.2.jar;var=M2_REPO/jmock/jmock/1.0.1/jmock-1.0.1.jar;var=M2_REPO/log4j/log4j/1.2.13/log4j-1.2.13.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-api/5.1.6-SNAPSHOT/nuxeo-platform-imaging-api-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-api/1.4.2/nuxeo-core-api-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-schema/1.4.2/nuxeo-core-schema-1.4.2.jar;var=M2_REPO/com/sun/xml/xsom/20060306/xsom-20060306.jar;var=M2_REPO/com/sun/xml/relaxngDatatype/1.0/relaxngDatatype-1.0.jar;var=M2_REPO/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-webapp-core/5.1.5/nuxeo-platform-webapp-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-client/5.1.5/nuxeo-platform-cache-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-jboss/5.1.5/nuxeo-platform-cache-jboss-5.1.5.jar;var=M2_REPO/jboss/jboss-cache-jdk50/1.4.0.SP1/jboss-cache-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-jmx/4.0.4.GA/jboss-jmx-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-system/4.0.4.GA/jboss-system-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-aop-jdk50/1.4.0.SP1/jboss-aop-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-serialization/1.0.0-RC1/jboss-serialization-1.0.0-RC1.jar;var=M2_REPO/jboss/jgroups/2.2.9/jgroups-2.2.9.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-web/5.1.5/nuxeo-platform-cache-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-api/5.1.5/nuxeo-platform-filemanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-search-api/5.1.5/nuxeo-platform-search-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-query/1.4.2/nuxeo-core-query-1.4.2.jar;var=M2_REPO/cup/java-cup/0.11a/java-cup-0.11a.jar;var=M2_REPO/joda-time/joda-time/1.4/joda-time-1.4.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-mimetype-api/5.1.5/nuxeo-platform-mimetype-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-api/5.1.5/nuxeo-platform-types-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-forms-layout-api/5.1.5/nuxeo-platform-forms-layout-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-transform-api/5.1.5/nuxeo-platform-transform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-api/5.1.5/nuxeo-platform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-api/5.1.5/nuxeo-platform-versioning-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-url-api/5.1.5/nuxeo-platform-url-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-web/5.1.5/nuxeo-platform-ui-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-io/1.4.2/nuxeo-core-io-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core/1.4.2/nuxeo-core-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-api/5.1.5/nuxeo-platform-ui-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-events-api/5.1.5/nuxeo-platform-events-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-directory-api/5.1.5/nuxeo-platform-directory-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-publishing-api/5.1.5/nuxeo-platform-publishing-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-actions-core/5.1.5/nuxeo-platform-actions-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform/5.1.5/nuxeo-platform-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ws/5.1.5/nuxeo-platform-ws-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-usermanager-api/5.1.5/nuxeo-platform-usermanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-core/5.1.5/nuxeo-platform-types-core-5.1.5.jar;var=M2_REPO/javax/jws/jsr181/1.0/jsr181-1.0.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-api/1.0.1-incubating-NXEP51M2/trinidad-api-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-impl/1.0.1-incubating-NXEP51M2/trinidad-impl-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/tomahawk/tomahawk/1.1.5/tomahawk-1.1.5.jar;var=M2_REPO/commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar;var=M2_REPO/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar;var=M2_REPO/commons-digester/commons-digester/1.6/commons-digester-1.6.jar;var=M2_REPO/commons-collections/commons-collections/3.1/commons-collections-3.1.jar;var=M2_REPO/commons-fileupload/commons-fileupload/1.1.1/commons-fileupload-1.1.1.jar;var=M2_REPO/commons-io/commons-io/1.2/commons-io-1.2.jar;var=M2_REPO/commons-el/commons-el/1.0/commons-el-1.0.jar;var=M2_REPO/commons-codec/commons-codec/1.3/commons-codec-1.3.jar;var=M2_REPO/oro/oro/2.0.8/oro-2.0.8.jar;var=M2_REPO/commons-lang/commons-lang/2.2/commons-lang-2.2.jar;var=M2_REPO/javax/servlet/jstl/1.1.2/jstl-1.1.2.jar;var=M2_REPO/org/restlet/org.restlet/1.0.7/org.restlet-1.0.7.jar;var=M2_REPO/org/restlet/org.restlet.ext.fileupload/1.0.7/org.restlet.ext.fileupload-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet/1.0.7/com.noelios.restlet-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet.ext.servlet/1.0.7/com.noelios.restlet.ext.servlet-1.0.7.jar;var=M2_REPO/javax/transaction/jta/1.0.1B/jta-1.0.1B.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-api/5.1.5/nuxeo-platform-workflow-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-document-api/5.1.5/nuxeo-platform-workflow-document-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-theme/5.1.5/nuxeo-platform-placeful-theme-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-api/5.1.5/nuxeo-platform-placeful-api-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-core/5.1.5/nuxeo-theme-core-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-fragments/5.1.5/nuxeo-theme-fragments-5.1.5.jar;var=M2_REPO/org/hibernate/hibernate-annotations/3.2.0.ga/hibernate-annotations-3.2.0.ga.jar;var=M2_REPO/org/hibernate/hibernate/3.2.0.ga/hibernate-3.2.0.ga.jar;var=M2_REPO/net/sf/ehcache/ehcache/1.2/ehcache-1.2.jar;var=M2_REPO/asm/asm-attrs/1.5.3/asm-attrs-1.5.3.jar;var=M2_REPO/antlr/antlr/2.7.7/antlr-2.7.7.jar;var=M2_REPO/cglib/cglib/2.1_3/cglib-2.1_3.jar;var=M2_REPO/asm/asm/1.5.3/asm-1.5.3.jar;var=M2_REPO/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar;var=M2_REPO/net/sf/opencsv/opencsv/1.7/opencsv-1.7.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-core/5.1.6-SNAPSHOT/nuxeo-platform-imaging-core-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-facade/1.4.2/nuxeo-core-facade-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-jcr-connector/1.4.2/nuxeo-core-jcr-connector-1.4.2.jar;var=M2_REPO/jsr170/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-api/1.3.3/jackrabbit-api-1.3.3.jar;var=M2_REPO/javax/jcr/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-core/1.3.3/jackrabbit-core-1.3.3.jar;var=M2_REPO/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0.1/geronimo-jta_1.0.1B_spec-1.0.1.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-jcr-commons/1.3.3/jackrabbit-jcr-commons-1.3.3.jar;var=M2_REPO/org/slf4j/slf4j-api/1.3.0/slf4j-api-1.3.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-text-extractors/1.3.3/jackrabbit-text-extractors-1.3.3.jar;var=M2_REPO/pdfbox/pdfbox/0.6.4/pdfbox-0.6.4.jar;var=M2_REPO/org/textmining/tm-extractors/0.4/tm-extractors-0.4.jar;var=M2_REPO/nekohtml/nekohtml/0.9.4/nekohtml-0.9.4.jar;var=M2_REPO/xerces/xercesImpl/2.5.0/xercesImpl-2.5.0.jar;var=M2_REPO/org/apache/lucene/lucene-core/2.0.0/lucene-core-2.0.0.jar;var=M2_REPO/org/apache/derby/derby/10.2.1.6/derby-10.2.1.6.jar;var=M2_REPO/org/slf4j/slf4j-log4j12/1.3.0/slf4j-log4j12-1.3.0.jar;var=M2_REPO/imagej/imagej/1.4.1.e/imagej-1.4.1.e.jar;var=M2_REPO/net/java/dev/mistral/EditableImage/0.9.5/EditableImage-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/JAI-Adapter/0.9.5/JAI-Adapter-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/Operations/0.9.5/Operations-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/metadata-extractor/2.3.1/metadata-extractor-2.3.1.jar;var=M2_REPO/javax/media/jai_core/1.1.2_01/jai_core-1.1.2_01.jar;var=M2_REPO/com/sun/media/jai_codec/1.1.2_01/jai_codec-1.1.2_01.jar;var=M2_REPO/com/sun/media/mlib_jai/1.1.2_01/mlib_jai-1.1.2_01.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-web/5.1.6-SNAPSHOT/nuxeo-platform-imaging-web-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-core/5.1.5/nuxeo-platform-filemanager-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-core/5.1.5/nuxeo-platform-versioning-core-5.1.5.jar;var=M2_REPO/org/nuxeo/core/versioning/nuxeo-folder-versioning/1.0-SNAPSHOT/nuxeo-folder-versioning-1.0-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-web/5.1.5/nuxeo-platform-relations-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-core/5.1.5/nuxeo-platform-relations-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-api/5.1.5/nuxeo-platform-relations-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-login-anonymous/5.2.0.m1/nuxeo-platform-login-anonymous-5.2.0.m1.jar;var=M2_REPO/org/nuxeo/build/nuxeo-apt-extensions/1.0/nuxeo-apt-extensions-1.0.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-client/5.1.5/nuxeo-platform-audit-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-api/5.1.5/nuxeo-platform-audit-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-api/5.1.5/nuxeo-platform-notification-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-core/5.1.5/nuxeo-platform-notification-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-facade/5.1.5/nuxeo-platform-placeful-facade-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-core/5.1.5/nuxeo-platform-placeful-core-5.1.5.jar;var=M2_REPO/freemarker/freemarker/2.3.8/freemarker-2.3.8.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-web/5.1.5/nuxeo-platform-notification-web-5.1.5.jar;var=M2_REPO/jboss/jboss-scheduler/1/jboss-scheduler-1.jar;var=M2_REPO/itext/itext/2.1.3/itext-2.1.3.jar;var=M2_REPO/opensymphony/quartz-all/1.5.2/quartz-all-1.5.2.jar;var=M2_REPO/javax/xml/bind/jaxb-api/2.0/jaxb-api-2.0.jar;var=M2_REPO/javax/xml/bind/jsr173_api/1.0/jsr173_api-1.0.jar;var=M2_REPO/javax/activation/activation/1.1/activation-1.1.jar;var=M2_REPO/org/apache/xmlgraphics/fop/0.94/fop-0.94.jar;var=M2_REPO/org/apache/xmlgraphics/xmlgraphics-commons/1.2/xmlgraphics-commons-1.2.jar;var=M2_REPO/batik/batik-svg-dom/1.6-1/batik-svg-dom-1.6-1.jar;var=M2_REPO/batik/batik-dom/1.6-1/batik-dom-1.6-1.jar;var=M2_REPO/batik/batik-css/1.6-1/batik-css-1.6-1.jar;var=M2_REPO/batik/batik-util/1.6-1/batik-util-1.6-1.jar;var=M2_REPO/batik/batik-gui-util/1.6-1/batik-gui-util-1.6-1.jar;var=M2_REPO/batik/batik-ext/1.6-1/batik-ext-1.6-1.jar;var=M2_REPO/xml-apis/xmlParserAPIs/2.0.2/xmlParserAPIs-2.0.2.jar;var=M2_REPO/batik/batik-xml/1.6-1/batik-xml-1.6-1.jar;var=M2_REPO/batik/batik-parser/1.6-1/batik-parser-1.6-1.jar;var=M2_REPO/batik/batik-awt-util/1.6-1/batik-awt-util-1.6-1.jar;var=M2_REPO/batik/batik-bridge/1.6-1/batik-bridge-1.6-1.jar;var=M2_REPO/batik/batik-gvt/1.6-1/batik-gvt-1.6-1.jar;var=M2_REPO/batik/batik-script/1.6-1/batik-script-1.6-1.jar;var=M2_REPO/batik/batik-transcoder/1.6-1/batik-transcoder-1.6-1.jar;var=M2_REPO/batik/batik-extension/1.6-1/batik-extension-1.6-1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-api/4.3.1/avalon-framework-api-4.3.1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-impl/4.3.1/avalon-framework-impl-4.3.1.jar;var=M2_REPO/truezip/truezip/6.6/truezip-6.6.jar;var=M2_REPO/commons-net/commons-net/1.4.1/commons-net-1.4.1.jar;var=M2_REPO/org/hibernate/hibernate-validator/3.0.0.ga/hibernate-validator-3.0.0.ga.jar;jre=JDK
1.5;output=target/classes;'. More details can be found in the IDEs log file.




java.lang.IllegalArgumentException: Value too long:
src=src/main/java;src=src/main/resources;var=M2_REPO/com/intellij/annotations/6.0.5/annotations-6.0.5.jar;var=M2_REPO/commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.jar;var=M2_REPO/javax/ejb/ejb/3.0-RC8/ejb-3.0-RC8.jar;var=M2_REPO/javax/faces/jsf-api/1.2_04/jsf-api-1.2_04.jar;var=M2_REPO/javax/servlet/servlet-api/2.4/servlet-api-2.4.jar;var=M2_REPO/jboss/ejb3/3.0-RC8/ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-annotations-ejb3/3.0-RC8/jboss-annotations-ejb3-3.0-RC8.jar;var=M2_REPO/jboss/jboss-j2ee/4.0.4.GA/jboss-j2ee-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-seam/1.1.5.NX3/jboss-seam-1.1.5.NX3.jar;var=M2_REPO/org/nuxeo/common/nuxeo-common/1.4.2/nuxeo-common-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime/1.4.2/nuxeo-runtime-1.4.2.jar;var=M2_REPO/org/osgi/osgi-core/4.1/osgi-core-4.1.jar;var=M2_REPO/jboss/jboss-remoting/4.0.4.GA/jboss-remoting-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-common/4.0.4.GA/jboss-common-4.0.4.GA.jar;var=M2_REPO/commons-jexl/commons-jexl/1.1/commons-jexl-1.1.jar;var=M2_REPO/commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.jar;var=M2_REPO/concurrent/concurrent/1.3.4/concurrent-1.3.4.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-test/1.4.2/nuxeo-runtime-test-1.4.2.jar;var=M2_REPO/org/nuxeo/runtime/nuxeo-runtime-osgi/1.4.2/nuxeo-runtime-osgi-1.4.2.jar;var=M2_REPO/jmock/jmock/1.0.1/jmock-1.0.1.jar;var=M2_REPO/log4j/log4j/1.2.13/log4j-1.2.13.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-api/5.1.6-SNAPSHOT/nuxeo-platform-imaging-api-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-api/1.4.2/nuxeo-core-api-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-schema/1.4.2/nuxeo-core-schema-1.4.2.jar;var=M2_REPO/com/sun/xml/xsom/20060306/xsom-20060306.jar;var=M2_REPO/com/sun/xml/relaxngDatatype/1.0/relaxngDatatype-1.0.jar;var=M2_REPO/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-webapp-core/5.1.5/nuxeo-platform-webapp-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-client/5.1.5/nuxeo-platform-cache-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-jboss/5.1.5/nuxeo-platform-cache-jboss-5.1.5.jar;var=M2_REPO/jboss/jboss-cache-jdk50/1.4.0.SP1/jboss-cache-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-jmx/4.0.4.GA/jboss-jmx-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-system/4.0.4.GA/jboss-system-4.0.4.GA.jar;var=M2_REPO/jboss/jboss-aop-jdk50/1.4.0.SP1/jboss-aop-jdk50-1.4.0.SP1.jar;var=M2_REPO/jboss/jboss-serialization/1.0.0-RC1/jboss-serialization-1.0.0-RC1.jar;var=M2_REPO/jboss/jgroups/2.2.9/jgroups-2.2.9.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-cache-web/5.1.5/nuxeo-platform-cache-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-api/5.1.5/nuxeo-platform-filemanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-search-api/5.1.5/nuxeo-platform-search-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-query/1.4.2/nuxeo-core-query-1.4.2.jar;var=M2_REPO/cup/java-cup/0.11a/java-cup-0.11a.jar;var=M2_REPO/joda-time/joda-time/1.4/joda-time-1.4.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-mimetype-api/5.1.5/nuxeo-platform-mimetype-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-api/5.1.5/nuxeo-platform-types-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-forms-layout-api/5.1.5/nuxeo-platform-forms-layout-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-transform-api/5.1.5/nuxeo-platform-transform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-api/5.1.5/nuxeo-platform-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-api/5.1.5/nuxeo-platform-versioning-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-url-api/5.1.5/nuxeo-platform-url-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-web/5.1.5/nuxeo-platform-ui-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-io/1.4.2/nuxeo-core-io-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core/1.4.2/nuxeo-core-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ui-api/5.1.5/nuxeo-platform-ui-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-events-api/5.1.5/nuxeo-platform-events-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-directory-api/5.1.5/nuxeo-platform-directory-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-publishing-api/5.1.5/nuxeo-platform-publishing-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-actions-core/5.1.5/nuxeo-platform-actions-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform/5.1.5/nuxeo-platform-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-ws/5.1.5/nuxeo-platform-ws-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-usermanager-api/5.1.5/nuxeo-platform-usermanager-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-types-core/5.1.5/nuxeo-platform-types-core-5.1.5.jar;var=M2_REPO/javax/jws/jsr181/1.0/jsr181-1.0.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-api/1.0.1-incubating-NXEP51M2/trinidad-api-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/trinidad/trinidad-impl/1.0.1-incubating-NXEP51M2/trinidad-impl-1.0.1-incubating-NXEP51M2.jar;var=M2_REPO/org/apache/myfaces/tomahawk/tomahawk/1.1.5/tomahawk-1.1.5.jar;var=M2_REPO/commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar;var=M2_REPO/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar;var=M2_REPO/commons-digester/commons-digester/1.6/commons-digester-1.6.jar;var=M2_REPO/commons-collections/commons-collections/3.1/commons-collections-3.1.jar;var=M2_REPO/commons-fileupload/commons-fileupload/1.1.1/commons-fileupload-1.1.1.jar;var=M2_REPO/commons-io/commons-io/1.2/commons-io-1.2.jar;var=M2_REPO/commons-el/commons-el/1.0/commons-el-1.0.jar;var=M2_REPO/commons-codec/commons-codec/1.3/commons-codec-1.3.jar;var=M2_REPO/oro/oro/2.0.8/oro-2.0.8.jar;var=M2_REPO/commons-lang/commons-lang/2.2/commons-lang-2.2.jar;var=M2_REPO/javax/servlet/jstl/1.1.2/jstl-1.1.2.jar;var=M2_REPO/org/restlet/org.restlet/1.0.7/org.restlet-1.0.7.jar;var=M2_REPO/org/restlet/org.restlet.ext.fileupload/1.0.7/org.restlet.ext.fileupload-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet/1.0.7/com.noelios.restlet-1.0.7.jar;var=M2_REPO/com/noelios/restlet/com.noelios.restlet.ext.servlet/1.0.7/com.noelios.restlet.ext.servlet-1.0.7.jar;var=M2_REPO/javax/transaction/jta/1.0.1B/jta-1.0.1B.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-api/5.1.5/nuxeo-platform-workflow-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-workflow-document-api/5.1.5/nuxeo-platform-workflow-document-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-theme/5.1.5/nuxeo-platform-placeful-theme-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-api/5.1.5/nuxeo-platform-placeful-api-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-core/5.1.5/nuxeo-theme-core-5.1.5.jar;var=M2_REPO/org/nuxeo/theme/nuxeo-theme-fragments/5.1.5/nuxeo-theme-fragments-5.1.5.jar;var=M2_REPO/org/hibernate/hibernate-annotations/3.2.0.ga/hibernate-annotations-3.2.0.ga.jar;var=M2_REPO/org/hibernate/hibernate/3.2.0.ga/hibernate-3.2.0.ga.jar;var=M2_REPO/net/sf/ehcache/ehcache/1.2/ehcache-1.2.jar;var=M2_REPO/asm/asm-attrs/1.5.3/asm-attrs-1.5.3.jar;var=M2_REPO/antlr/antlr/2.7.7/antlr-2.7.7.jar;var=M2_REPO/cglib/cglib/2.1_3/cglib-2.1_3.jar;var=M2_REPO/asm/asm/1.5.3/asm-1.5.3.jar;var=M2_REPO/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar;var=M2_REPO/net/sf/opencsv/opencsv/1.7/opencsv-1.7.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-core/5.1.6-SNAPSHOT/nuxeo-platform-imaging-core-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-facade/1.4.2/nuxeo-core-facade-1.4.2.jar;var=M2_REPO/org/nuxeo/ecm/core/nuxeo-core-jcr-connector/1.4.2/nuxeo-core-jcr-connector-1.4.2.jar;var=M2_REPO/jsr170/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-api/1.3.3/jackrabbit-api-1.3.3.jar;var=M2_REPO/javax/jcr/jcr/1.0/jcr-1.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-core/1.3.3/jackrabbit-core-1.3.3.jar;var=M2_REPO/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0.1/geronimo-jta_1.0.1B_spec-1.0.1.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-jcr-commons/1.3.3/jackrabbit-jcr-commons-1.3.3.jar;var=M2_REPO/org/slf4j/slf4j-api/1.3.0/slf4j-api-1.3.0.jar;var=M2_REPO/org/apache/jackrabbit/jackrabbit-text-extractors/1.3.3/jackrabbit-text-extractors-1.3.3.jar;var=M2_REPO/pdfbox/pdfbox/0.6.4/pdfbox-0.6.4.jar;var=M2_REPO/org/textmining/tm-extractors/0.4/tm-extractors-0.4.jar;var=M2_REPO/nekohtml/nekohtml/0.9.4/nekohtml-0.9.4.jar;var=M2_REPO/xerces/xercesImpl/2.5.0/xercesImpl-2.5.0.jar;var=M2_REPO/org/apache/lucene/lucene-core/2.0.0/lucene-core-2.0.0.jar;var=M2_REPO/org/apache/derby/derby/10.2.1.6/derby-10.2.1.6.jar;var=M2_REPO/org/slf4j/slf4j-log4j12/1.3.0/slf4j-log4j12-1.3.0.jar;var=M2_REPO/imagej/imagej/1.4.1.e/imagej-1.4.1.e.jar;var=M2_REPO/net/java/dev/mistral/EditableImage/0.9.5/EditableImage-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/JAI-Adapter/0.9.5/JAI-Adapter-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/Operations/0.9.5/Operations-0.9.5.jar;var=M2_REPO/net/java/dev/mistral/metadata-extractor/2.3.1/metadata-extractor-2.3.1.jar;var=M2_REPO/javax/media/jai_core/1.1.2_01/jai_core-1.1.2_01.jar;var=M2_REPO/com/sun/media/jai_codec/1.1.2_01/jai_codec-1.1.2_01.jar;var=M2_REPO/com/sun/media/mlib_jai/1.1.2_01/mlib_jai-1.1.2_01.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-imaging-web/5.1.6-SNAPSHOT/nuxeo-platform-imaging-web-5.1.6-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-filemanager-core/5.1.5/nuxeo-platform-filemanager-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-versioning-core/5.1.5/nuxeo-platform-versioning-core-5.1.5.jar;var=M2_REPO/org/nuxeo/core/versioning/nuxeo-folder-versioning/1.0-SNAPSHOT/nuxeo-folder-versioning-1.0-SNAPSHOT.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-web/5.1.5/nuxeo-platform-relations-web-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-core/5.1.5/nuxeo-platform-relations-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-relations-api/5.1.5/nuxeo-platform-relations-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-login-anonymous/5.2.0.m1/nuxeo-platform-login-anonymous-5.2.0.m1.jar;var=M2_REPO/org/nuxeo/build/nuxeo-apt-extensions/1.0/nuxeo-apt-extensions-1.0.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-client/5.1.5/nuxeo-platform-audit-client-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-audit-api/5.1.5/nuxeo-platform-audit-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-api/5.1.5/nuxeo-platform-notification-api-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-core/5.1.5/nuxeo-platform-notification-core-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-facade/5.1.5/nuxeo-platform-placeful-facade-5.1.5.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-placeful-core/5.1.5/nuxeo-platform-placeful-core-5.1.5.jar;var=M2_REPO/freemarker/freemarker/2.3.8/freemarker-2.3.8.jar;var=M2_REPO/org/nuxeo/ecm/platform/nuxeo-platform-notification-web/5.1.5/nuxeo-platform-notification-web-5.1.5.jar;var=M2_REPO/jboss/jboss-scheduler/1/jboss-scheduler-1.jar;var=M2_REPO/itext/itext/2.1.3/itext-2.1.3.jar;var=M2_REPO/opensymphony/quartz-all/1.5.2/quartz-all-1.5.2.jar;var=M2_REPO/javax/xml/bind/jaxb-api/2.0/jaxb-api-2.0.jar;var=M2_REPO/javax/xml/bind/jsr173_api/1.0/jsr173_api-1.0.jar;var=M2_REPO/javax/activation/activation/1.1/activation-1.1.jar;var=M2_REPO/org/apache/xmlgraphics/fop/0.94/fop-0.94.jar;var=M2_REPO/org/apache/xmlgraphics/xmlgraphics-commons/1.2/xmlgraphics-commons-1.2.jar;var=M2_REPO/batik/batik-svg-dom/1.6-1/batik-svg-dom-1.6-1.jar;var=M2_REPO/batik/batik-dom/1.6-1/batik-dom-1.6-1.jar;var=M2_REPO/batik/batik-css/1.6-1/batik-css-1.6-1.jar;var=M2_REPO/batik/batik-util/1.6-1/batik-util-1.6-1.jar;var=M2_REPO/batik/batik-gui-util/1.6-1/batik-gui-util-1.6-1.jar;var=M2_REPO/batik/batik-ext/1.6-1/batik-ext-1.6-1.jar;var=M2_REPO/xml-apis/xmlParserAPIs/2.0.2/xmlParserAPIs-2.0.2.jar;var=M2_REPO/batik/batik-xml/1.6-1/batik-xml-1.6-1.jar;var=M2_REPO/batik/batik-parser/1.6-1/batik-parser-1.6-1.jar;var=M2_REPO/batik/batik-awt-util/1.6-1/batik-awt-util-1.6-1.jar;var=M2_REPO/batik/batik-bridge/1.6-1/batik-bridge-1.6-1.jar;var=M2_REPO/batik/batik-gvt/1.6-1/batik-gvt-1.6-1.jar;var=M2_REPO/batik/batik-script/1.6-1/batik-script-1.6-1.jar;var=M2_REPO/batik/batik-transcoder/1.6-1/batik-transcoder-1.6-1.jar;var=M2_REPO/batik/batik-extension/1.6-1/batik-extension-1.6-1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-api/4.3.1/avalon-framework-api-4.3.1.jar;var=M2_REPO/org/apache/avalon/framework/avalon-framework-impl/4.3.1/avalon-framework-impl-4.3.1.jar;var=M2_REPO/truezip/truezip/6.6/truezip-6.6.jar;var=M2_REPO/commons-net/commons-net/1.4.1/commons-net-1.4.1.jar;var=M2_REPO/org/hibernate/hibernate-validator/3.0.0.ga/hibernate-validator-3.0.0.ga.jar;jre=JDK
1.5;output=target/classes;
	at java.util.prefs.AbstractPreferences.put(AbstractPreferences.java:228)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.access$1501(AuxiliaryConfigBasedPreferencesProvider.java:424)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:629)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences$1.run(AuxiliaryConfigBasedPreferencesProvider.java:628)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at
org.netbeans.modules.projectapi.AuxiliaryConfigBasedPreferencesProvider$AuxiliaryConfigBasedPreferences.put(AuxiliaryConfigBasedPreferencesProvider.java:627)
	at org.netbeans.modules.projectimport.eclipse.core.EclipseProjectReference.write(EclipseProjectReference.java:163)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProjectStage1(Importer.java:241)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$600(Importer.java:69)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:178)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:176)
	at org.openide.util.Mutex.writeAccess(Mutex.java:394)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.importProject(Importer.java:175)
	at org.netbeans.modules.projectimport.eclipse.core.Importer.access$200(Importer.java:69)
	at org.netbeans.modules.projectimport.eclipse.core.Importer$1.run(Importer.java:108)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)

Comment 3 mihai 2008-10-30 13:58:17 UTC
Created attachment 72907 [details]
The log file
Comment 4 David Konecny 2008-11-02 21:49:18 UTC
Preferences API (which is used to store data about Eclipse project) has limit on value length - 8192 characters - which
is not enough for your project (about 14000 characters). Should be fixed on Eclipse Importer side by splitting extremely
long values into a list.

I'm not sure there is a short term workaround for you. Your Eclipse project has *169*(!) jars on its classpath so unless
you could get rid of half of them you will have to wait for this issue to get fixed.
Comment 5 mihai 2008-11-03 09:08:05 UTC
The project is created on disk anyway and i can open it and "fix" it manually.
Thank you for your suggestions.
It is a great IDE so it worth to make some workarounds to be able to use it.

Mihai
Comment 6 Jesse Glick 2008-11-03 19:06:55 UTC
The NbPreferences implementation already overrides the limit, since it does not apply to our storage. There is no reason
for it to apply to AuxiliaryConfigBasedPreferences either. Can probably be moved to projects component.
Comment 7 Jesse Glick 2008-11-03 21:43:50 UTC
Same for the Preferences impl based on properties files (I forget now what it's called).
Comment 8 Jana Maleckova 2008-11-13 08:58:03 UTC
This issue has lower priority than P2, please enclose the evaluation why this fix should be a part of 65patch1. Thanks
Comment 9 Jesse Glick 2008-11-13 18:46:10 UTC
If it prevents valid Eclipse projects from being imported I think P2 is appropriate.
Comment 10 pgebauer 2008-11-24 09:30:58 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 11 pgebauer 2009-01-14 09:32:07 UTC
The issue hasn't passed the nomination process for 65patch2. It has been moved to 65patch3.
Comment 12 Milos Kleint 2009-02-02 06:42:30 UTC
*** Issue 157575 has been marked as a duplicate of this issue. ***
Comment 13 Milos Kleint 2009-02-10 08:40:33 UTC
fixed in changeset 7bd46ceea2bb, shall be pushed to main later this week.
Comment 14 Quality Engineering 2009-02-18 10:19:36 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7bd46ceea2bb
User: Milos Kleint <mkleint@netbeans.org>
Log: #151856 override size limit
Comment 15 Jiri Prox 2009-02-25 14:37:31 UTC
verified in trunk
Comment 16 Jiri Prox 2009-03-05 16:56:20 UTC
verified in release65_fixes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo